using Entities.DTO;
using TechHelper.Services;

namespace TechHelper.Client.Services
{
	public interface INoteService
	{
		public Task<ApiResponse> AddNote(GlobalDto dto);
		public Task<ApiResponse> DeleteNote(byte id);
		public Task<ApiResponse> GetAllNotes();
		public Task<ApiResponse> GetNote(byte id);
		public Task<ApiResponse> UpdateNote(GlobalDto dto);
	}
}
